% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iosam_class.R
\name{gEcon.iosam-package}
\alias{gEcon.iosam-package}
\title{Input-Output Tables and Social Accounting Matrices for gEcon}
\description{
Package \code{gEcon.iosam} simplifies calibration of CGE (and multisector DSGE)
models in \code{gEcon} and provides functions for operating on Input-Output Tables
and Social Accounting Matrices.
}
\details{
The package provides \code{iosam} class for representing Input-Output Tables
and Social Accounting Matrices and a set of functions for importing and manipulating
them. To streamline the process of calibration of CGE (and multisector DSGE) models
written using \code{gEcon} template mechanism, function \code{get_flow_values}
is provided.
}
\examples{

# Run the following code to copy the file with an example
# of CGE model calibration to your current working directory.
\dontrun{
file.copy(file.path(system.file("examples", package = "gEcon.iosam"),
                  "cge_calibr_iosam.R"), getwd())
file.copy(file.path(system.file("examples", package = "gEcon.iosam"),
                  "cge_calibr_iosam.gcn"), getwd())
}

# Run the following code to copy the file with examples of data imports
# to your current working directory.
\dontrun{
file.copy(file.path(system.file("examples", package="gEcon.iosam"),
                    "databases.R"), getwd())
}

}
\author{
Marta Retkiewicz <marta.retkiewicz@gmail.com>, design by Grzegorz Klima
}
\keyword{package}

